-- phpMyAdmin SQL Dump
-- version 2.8.0.3
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Erstellungszeit: 06. Mai 2006 um 19:04
-- Server Version: 5.0.20
-- PHP-Version: 5.1.2
-- 
-- Datenbank: 'Busunternehmen'
-- 

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle 'Buchungen'
-- 

DROP TABLE IF EXISTS Buchungen;
CREATE TABLE IF NOT EXISTS Buchungen (
  ID_Kunde int(11) NOT NULL,
  ID_Fahrt int(11) NOT NULL,
  `reservierte Pltze` int(11) NOT NULL,
  PRIMARY KEY  (ID_Kunde,ID_Fahrt)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Daten fr Tabelle 'Buchungen'
-- 

INSERT INTO Buchungen (ID_Kunde, ID_Fahrt, reservierte Pltze) VALUES (3, 7, 2),
(4, 1, 2),
(5, 2, 1),
(7, 3, 2),
(1, 11, 4),
(2, 9, 2),
(8, 7, 2),
(6, 13, 1),
(12, 12, 2),
(11, 5, 1),
(6, 12, 1),
(6, 11, 1);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle 'Bus'
-- 

DROP TABLE IF EXISTS Bus;
CREATE TABLE IF NOT EXISTS Bus (
  Kfz varchar(15) NOT NULL,
  Typ tinytext NOT NULL,
  Sitzpltze int(11) NOT NULL,
  Baujahr year(4) NOT NULL,
  PRIMARY KEY  (Kfz)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Hier wird der Bus beschrieben';

-- 
-- Daten fr Tabelle 'Bus'
-- 

INSERT INTO Bus (Kfz, Typ, Sitzpltze, Baujahr) VALUES ('FD-BU-101', 'Groraumbus', 8, 1995),
('FD-BU-102', 'Passagierbus', 52, 2002),
('FD-FU-101', 'Transportbus', 5, 1997),
('FD-FU-102', 'Transportbus', 4, 1993),
('FD-MU-101', 'Transportbus', 5, 2002),
('FD-MU-102', 'Passagierbus', 53, 2005),
('FD-KU-101', 'Passagierbus', 60, 2006),
('FD-KU-102', 'Transportbus', 5, 2003),
('H-AL-0', 'Groraumbus', 8, 1997),
('MA-US-23', 'Groraumbus', 8, 1996);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle 'Fahrer'
-- 

DROP TABLE IF EXISTS Fahrer;
CREATE TABLE IF NOT EXISTS Fahrer (
  ID_Fahrer int(11) NOT NULL auto_increment,
  Vorname varchar(20) NOT NULL,
  Nachname varchar(20) NOT NULL,
  Plz int(8) NOT NULL,
  Ort varchar(40) NOT NULL,
  Strae varchar(40) NOT NULL,
  Telefon int(11) default NULL,
  PRIMARY KEY  (ID_Fahrer)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

-- 
-- Daten fr Tabelle 'Fahrer'
-- 

INSERT INTO Fahrer (ID_Fahrer, Vorname, Nachname, Plz, Ort, Strae, Telefon) VALUES (1, 'Klaus', 'Mller', 41567, 'Unterhausen', 'Bergmannallee 4a', 2147483647),
(2, 'Dieter', 'Dittrich', 41462, 'Oberhausen', 'Waidmannstrasse 13', 2147483647),
(3, 'Ernst', 'Wilhelm', 41012, 'Merklingen', 'Gartenstrasse 16', 2147483647),
(4, 'Andreas', 'Holgersson', 42356, 'Mittelbingen', 'Hauptstrasse 23', 2147483647),
(5, 'Werner', 'Gross', 43099, 'Istelfingen', 'Am Hang 13', NULL),
(6, 'Peter', 'Schwarz', 40091, 'Trauerstedt', 'Friedhofsweg 13', NULL),
(7, 'Martin', 'Gerholdt', 56718, 'Trauten', 'Waldgsschen 2', NULL),
(8, 'Bernhardt', 'Brandt', 63561, 'Kriegelstein', 'Moosweg 24b', 1716569869),
(9, 'Elfriede', 'Hurtz', 35617, 'Zndelstadt', 'Blankenbachstrasse 7', 1785869874);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle 'Fahrt'
-- 

DROP TABLE IF EXISTS Fahrt;
CREATE TABLE IF NOT EXISTS Fahrt (
  ID_Fahrt int(11) NOT NULL auto_increment,
  Dauer float NOT NULL,
  Reiseziel varchar(40) NOT NULL,
  Preis float NOT NULL,
  Kfz varchar(15) NOT NULL,
  Datum date NOT NULL,
  ID_Fahrer int(11) NOT NULL,
  PRIMARY KEY  (ID_Fahrt)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=15 ;

-- 
-- Daten fr Tabelle 'Fahrt'
-- 

INSERT INTO Fahrt (ID_Fahrt, Dauer, Reiseziel, Preis, Kfz, Datum, ID_Fahrer) VALUES (1, 14, 'Paris', 820, 'FD-MU-101', '2006-05-23', 5),
(2, 21, 'London', 1620, 'FD-MU-102', '2006-07-01', 4),
(3, 3, 'Berlin', 490, 'H-AL-0', '2006-06-01', 3),
(4, 3, 'Prag', 480, 'MA-US-23', '2006-06-23', 2),
(5, 7, 'Kopenhagen', 780, 'FD-KU-102', '2006-07-12', 1),
(6, 12, 'Kopenhagen', 890, 'FD-KU-101', '2006-05-30', 9),
(7, 14, 'Rom', 1010, 'FD-BU-102', '2006-06-21', 7),
(8, 12, 'Madrid', 910, 'FD-FU-101', '2006-07-02', 8),
(9, 8, 'Berlin', 640, 'FD-FU-102', '2006-08-01', 6),
(10, 14, 'London', 1060, 'FD-BU-101', '2006-06-29', 5),
(11, 7, 'Paris', 690, 'H-AL-0', '2006-08-01', 4),
(12, 7, 'Strasburg', 650, 'FD-FU-101', '2006-07-14', 3),
(13, 12, 'Wien', 820, 'MA-US-23', '2007-05-01', 2),
(14, 7, 'London', 780, 'FD-BU-102', '2006-07-31', 1);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle 'Kunden'
-- 

DROP TABLE IF EXISTS Kunden;
CREATE TABLE IF NOT EXISTS Kunden (
  ID_Kunde int(11) NOT NULL auto_increment,
  Vorname varchar(20) NOT NULL,
  Nachname varchar(20) NOT NULL,
  Plz int(8) NOT NULL,
  Ort varchar(40) NOT NULL,
  StraeNr varchar(40) NOT NULL,
  Telefon int(11) default NULL,
  PRIMARY KEY  (ID_Kunde)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=13 ;

-- 
-- Daten fr Tabelle 'Kunden'
-- 

INSERT INTO Kunden (ID_Kunde, Vorname, Nachname, Plz, Ort, StraeNr, Telefon) VALUES (1, 'Matthias', 'Matschke', 31047, 'Findelbingen', 'Fuchsweg 1a', 123876),
(2, 'Klaus-Dieter', 'Hase', 21098, 'Werninghausen', 'Trotzeweg', 235410),
(3, 'Christopher', 'Arndt', 53401, 'Grnhausen', 'Goldweg 24', 567395),
(4, 'Thomas', 'Trauth', 67322, 'Haselgrund', 'Am Neuen Grund 9', 546783),
(5, 'Peter', 'Mattjs', 12967, 'Dunkelforst', 'Grabenstck 14', 564903),
(6, 'Engelhard', 'Greifzu', 56738, 'Wiesenheim', 'Stachelhecke 4c', 748934),
(7, 'Ulf', 'Instett', 63561, 'Kriegelstein', 'Grashfchenstrasse 11', 564783),
(8, 'Zacharias', 'Hbner', 67583, 'Freiengraben', 'Altmhlstrasse 16', 657489),
(9, 'Dirk', 'Dach', 67583, 'Freiengraben', 'Altmhlstrasse 4', 564789),
(10, 'Gerhard', 'Weissmller', 78435, 'Unterstreben', 'Turmstrasse 30', 567823),
(11, 'Adalbert', 'Hohenstein', 85673, 'Cremmen', 'Ziegelhain 19', 963241),
(12, 'Ingolf', 'Brlach', 42312, 'Obermhringen', 'Zulaufweg 6', 398265);
